from django.db import models

class Task(models.Model):
    name = models.CharField(max_length=64)
    description = models.TextField(max_length=5000)

    # Constants for status
    TODO = "TODO"
    DOING = "DOING"
    DONE = "DONE"
    CANCELED = "CANCELED"
    STATUSES = [
        (TODO, "TODO"),
        (DOING, "DOING"),
        (DONE, "DONE"),
        (CANCELED, "CANCELED"),
    ]

    status = models.CharField(
        max_length=8,
        choices=STATUSES,
        default=TODO,
    )

    def __str__(self):
        return self.name

